<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: UserEventInformation Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>UserEventInformation Class Reference</h1><!-- doxytag: class="UserEventInformation" -->
<p><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Class to save the data which belonging to the current event, using functions inherited from G4VUserEventInformation.  
</p>

<p><a href="classUserEventInformation-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a36f5d68bde7d123162465513e22c39b3">UserEventInformation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#adf4c7d22e42557ac8111f014fc3ff60f">~UserEventInformation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ab1f4cd0a495c78d75dd5595d3e5d6467">clean</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ae69d2b3e61b5780ccfba24453021dc39">FillEmptyEntriesUpToTrackID</a> (G4int trackID)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#adaadfb93c67ee44b738a6fdaea9cbf5c">GetAbsorbedCerenkovPhotonCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#aa6925e750425b549144b48c47f4b4272">GetAbsorbedCerenkovPhotonInFibreCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a133f56cbab95169fe23abcbed0c0c9ca">GetAbsorbedCerenkovPhotonInPhotonDetectorCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ab29dc68e533041e21ade5479cfcf2101">GetAbsorbedCerenkovPhotonInScintiCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a29c0f828ac0aeb30ce880a5477e95974">GetAbsorbedCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a6be1ac6fda1e538dfb08fab4ef60f01a">GetAbsorbedIn</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ac257663bb0c1138e5795dc570089d4ea">GetAbsorbedInFibreCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a9755a1d22fddadba4d6d735cd0f7c302">GetAbsorbedInPhotonDetectorCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a3ebc4e2117ef44c2f0d6e7d482272c0f">GetAbsorbedInScintiCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a2457333394f01a31ce0fdcb9da77e182">GetAbsorbedScintiPhotonCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a493d67af4a984b809c6e695e8cc8bba3">GetAbsorbedScintiPhotonInFibreCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a062ab3aa22c8ded86d410d115ac6828c">GetAbsorbedScintiPhotonInPhotonDetectorCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#af7b3188949f0b0644dc67542c0226d00">GetAbsorbedScintiPhotonInScintiCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ac45ab73573966763055aec6223892b19">GetAbsorbedWLSPhotonCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a0f058d6bfb246463ecaff452a163e88b">GetAbsorbedWLSPhotonInFibreCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a4130fa447b6a4e4dc0b7ca02e8383961">GetAbsorbedWLSPhotonInPhotonDetectorCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#aa82786ec70519c319293c9f568b94deb">GetAbsorbedWLSPhotonInScintiCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a31faf6faab33ef6d396c4fb6073d6e03">GetCerenkovPhotonByPrimaryCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a47cc88fc50b886fe1242f774ec689f85">GetCerenkovPhotonBySecondaryCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a0e0cf24b3ffadbdadab50599f5ba947e">GetCerenkovPhotonCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a1b1759cac18827ee1c1604972d60fbe1">GetGlobalAbsorptionTime</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a1a52277bc686603022aa39ac43c43b01">GetGlobalCreationTime</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a25eebff1a1cef6aae30b4e9ad4bb3840">GetInitialMomentum</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a7349cd2fb86c91819e56afee2c62ffc7">GetInitialPosition</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a3ef8ab3c62cd97be0dee7c91bca7f188">GetNumberOfParticles</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#aa2f3e562d1f297e91d7f2b2d3fa55240">GetNumberOfPrimaryParticles</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a31fe63f2334f0ce2cf8723bd94129a13">GetParentID</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a015039e59ea646a049dbabe7b23fffa3">GetParentIsPrimary</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#aa1fc8e1e890948e7ffab0510a9bdc836">GetParentName</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ae2c09484f8bbb2ca780c40624618d3bf">GetParentTrackID</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a4f94d194f0c53a73334ade050cdf040e">GetParticleID</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ad5a0d5c601a677bfb6a3d4bb7394e8ba">GetParticleIsPrimary</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ae852566e0e88a3ddacb541bfa0ff6d38">GetParticleName</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a3015ee73f243674624c2c8c68d514bd5">GetProductionMechanism</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#af0b7030715af42295c3eacc150dc490f">GetScintiPhotonByPrimaryCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a90875defefed19fb529ec356bec71ead">GetScintiPhotonBySecondaryCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a50f6b402447ecbee6361328642e4b4e6">GetScintiPhotonCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ac9a89e2f09e811d86ef41c0c58f39bfa">GetWLSPhotonCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ab3d356ce3cd54271d99e96b09edee633">IncAbsorbedCerenkovPhotonInFibreCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a67eacedd22d7955883eeac52afd40360">IncAbsorbedCerenkovPhotonInPhotonDetectorCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a3241d35a2b335e671361bed26dd0f66c">IncAbsorbedCerenkovPhotonInScintiCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a94be79e5edadbe640210cffa2c27db70">IncAbsorbedInFibreCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a734515bc2db45c8a046e697060ec0ad7">IncAbsorbedInPhotonDetectorCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#ad81f567795d949c26ef5c059f75b9f86">IncAbsorbedInScintiCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a536900017b87f9dcb3eb630b976dbfdc">IncAbsorbedScintiPhotonInFibreCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a62fe9f80ff21eba0ba7a3379014b96a4">IncAbsorbedScintiPhotonInPhotonDetectorCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a08052e4c9c4fa9daf7952ca7ccb0f77e">IncAbsorbedScintiPhotonInScintiCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#aefab76a00aff62f0cf1f6012ca63c4f3">IncAbsorbedWLSPhotonInFibreCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#af7e270cf273b5d04a1729f7f26f534a9">IncAbsorbedWLSPhotonInPhotonDetectorCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a780e036604b3c55ae47e91fa64fe4156">IncAbsorbedWLSPhotonInScintiCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a22cdb26f4eea8c05eba23dd2f0d0c18a">IncCerenkovPhotonByPrimaryCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a03d86f9dd73e4fc64b0389ef7c0fa98d">IncCerenkovPhotonBySecondaryCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a7520492b4de8a66f0bbcfd61515249ce">IncCerenkovPhotonCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a47689499d2f67a7340631b8d96ba8c95">IncScintiPhotonByPrimaryCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a5e9370e3754a5d1ec18642a374414954">IncScintiPhotonBySecondaryCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a03d4d9f48379700fdd909e756e82fbe4">IncScintiPhotonCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a7dea4191f5c8616a9fd144034df573f7">IncWLSPhotonCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#aa44cf9fa6e5f1906f6aed28929c8b7ce">SetAbsorbedIn</a> (G4int trackID, G4String absorbedIn)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#afeca0d2cfba581f5985a63c851eb58ca">SetGlobalAbsorptionTime</a> (G4int trackID, G4double absorptionTime)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a3c59299fbe1221ab3f282d4e59890b2a">SetGlobalCreationTime</a> (G4int trackID, G4double creationTime)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a020b620c50cb31b63fa6c55b1621f3da">SetInitialMomentum</a> (G4int trackID, G4ThreeVector initMomentum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a9d727595e9241c516a5214e2f3488dbd">SetInitialPosition</a> (G4int trackID, G4ThreeVector initPos)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a11591decbf749b4e4a149ec7582ac0b2">SetNumberOfPrimaryParticles</a> (G4int npp)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a7ce2a1b3bd68f969e2b00f997cb6853c">SetParent</a> (G4int trackID, G4int parentTrackID)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a675360fb14a71368b83c3380f2b17880">SetParticleID</a> (G4int trackID, G4int partID)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a8525c5843047a0f34772c05f78ccb203">SetParticleIsPrimary</a> (G4int trackID, G4bool partIsPrimary)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#aa6962c1c0b5de06498a9d15a6165755d">SetParticleName</a> (G4int trackID, G4String partName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#a673ab5bc67b4919a4a4799e772b9b9a2">SetProductionMechanism</a> (G4int trackID, G4String prodMech)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserEventInformation.html#afe242f33194b17fed3c8bb68cc285478">TrackIDExistsInVector</a> (G4int trackID) const </td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a36f5d68bde7d123162465513e22c39b3"></a><!-- doxytag: member="UserEventInformation::UserEventInformation" ref="a36f5d68bde7d123162465513e22c39b3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UserEventInformation::UserEventInformation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values </li>
</ul>

</div>
</div>
<a class="anchor" id="adf4c7d22e42557ac8111f014fc3ff60f"></a><!-- doxytag: member="UserEventInformation::~UserEventInformation" ref="adf4c7d22e42557ac8111f014fc3ff60f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UserEventInformation::~UserEventInformation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab1f4cd0a495c78d75dd5595d3e5d6467"></a><!-- doxytag: member="UserEventInformation::clean" ref="ab1f4cd0a495c78d75dd5595d3e5d6467" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::clean </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to removed all saved data. </p>

</div>
</div>
<a class="anchor" id="ae69d2b3e61b5780ccfba24453021dc39"></a><!-- doxytag: member="UserEventInformation::FillEmptyEntriesUpToTrackID" ref="ae69d2b3e61b5780ccfba24453021dc39" args="(G4int trackID)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::FillEmptyEntriesUpToTrackID </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to tell the <a class="el" href="classUserEventInformation.html" title=" (Part of the example simulation and not belonging to GODDeSS.)  Class to save the...">UserEventInformation</a>, that a particle with the given track ID as been simulated and its properties will be saved. <b> This function has to be called before any information about the particle can be saved! </b> </p>

</div>
</div>
<a class="anchor" id="adaadfb93c67ee44b738a6fdaea9cbf5c"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedCerenkovPhotonCount" ref="adaadfb93c67ee44b738a6fdaea9cbf5c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedCerenkovPhotonCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of Cerenkov photons that have been absorbed </dd></dl>

</div>
</div>
<a class="anchor" id="aa6925e750425b549144b48c47f4b4272"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedCerenkovPhotonInFibreCount" ref="aa6925e750425b549144b48c47f4b4272" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedCerenkovPhotonInFibreCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of Cerenkov photons that have been absorbed in a fibre </dd></dl>

</div>
</div>
<a class="anchor" id="a133f56cbab95169fe23abcbed0c0c9ca"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedCerenkovPhotonInPhotonDetectorCount" ref="a133f56cbab95169fe23abcbed0c0c9ca" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedCerenkovPhotonInPhotonDetectorCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of Cerenkov photons that have been absorbed in a photon detector </dd></dl>

</div>
</div>
<a class="anchor" id="ab29dc68e533041e21ade5479cfcf2101"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedCerenkovPhotonInScintiCount" ref="ab29dc68e533041e21ade5479cfcf2101" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedCerenkovPhotonInScintiCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of Cerenkov photons that have been absorbed in a scintillator tile </dd></dl>

</div>
</div>
<a class="anchor" id="a29c0f828ac0aeb30ce880a5477e95974"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedCount" ref="a29c0f828ac0aeb30ce880a5477e95974" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of optical photons that have been absorbed </dd></dl>

</div>
</div>
<a class="anchor" id="a6be1ac6fda1e538dfb08fab4ef60f01a"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedIn" ref="a6be1ac6fda1e538dfb08fab4ef60f01a" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String UserEventInformation::GetAbsorbedIn </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> name of the volume, the particle with the corresponding track ID was absorbed in </dd>
<dd>
<b> else: </b> "---" </dd></dl>

</div>
</div>
<a class="anchor" id="ac257663bb0c1138e5795dc570089d4ea"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedInFibreCount" ref="ac257663bb0c1138e5795dc570089d4ea" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedInFibreCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of optical photons that have been absorbed in a fibre </dd></dl>

</div>
</div>
<a class="anchor" id="a9755a1d22fddadba4d6d735cd0f7c302"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedInPhotonDetectorCount" ref="a9755a1d22fddadba4d6d735cd0f7c302" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedInPhotonDetectorCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of optical photons that have been absorbed in a photon detector </dd></dl>

</div>
</div>
<a class="anchor" id="a3ebc4e2117ef44c2f0d6e7d482272c0f"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedInScintiCount" ref="a3ebc4e2117ef44c2f0d6e7d482272c0f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedInScintiCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of optical photons that have been absorbed in a scintillator tile </dd></dl>

</div>
</div>
<a class="anchor" id="a2457333394f01a31ce0fdcb9da77e182"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedScintiPhotonCount" ref="a2457333394f01a31ce0fdcb9da77e182" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedScintiPhotonCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of scintillation photons that have been absorbed </dd></dl>

</div>
</div>
<a class="anchor" id="a493d67af4a984b809c6e695e8cc8bba3"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedScintiPhotonInFibreCount" ref="a493d67af4a984b809c6e695e8cc8bba3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedScintiPhotonInFibreCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of scintillation photons that have been absorbed in a fibre </dd></dl>

</div>
</div>
<a class="anchor" id="a062ab3aa22c8ded86d410d115ac6828c"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedScintiPhotonInPhotonDetectorCount" ref="a062ab3aa22c8ded86d410d115ac6828c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedScintiPhotonInPhotonDetectorCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of scintillation photons that have been absorbed in a photon detector </dd></dl>

</div>
</div>
<a class="anchor" id="af7b3188949f0b0644dc67542c0226d00"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedScintiPhotonInScintiCount" ref="af7b3188949f0b0644dc67542c0226d00" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedScintiPhotonInScintiCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of scintillation photons that have been absorbed in a scintillator tile </dd></dl>

</div>
</div>
<a class="anchor" id="ac45ab73573966763055aec6223892b19"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedWLSPhotonCount" ref="ac45ab73573966763055aec6223892b19" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedWLSPhotonCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of optical photons from a wavelength-shifting process that have been absorbed </dd></dl>

</div>
</div>
<a class="anchor" id="a0f058d6bfb246463ecaff452a163e88b"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedWLSPhotonInFibreCount" ref="a0f058d6bfb246463ecaff452a163e88b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedWLSPhotonInFibreCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of optical photons from a wavelength-shifting process that have been absorbed in a fibre </dd></dl>

</div>
</div>
<a class="anchor" id="a4130fa447b6a4e4dc0b7ca02e8383961"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedWLSPhotonInPhotonDetectorCount" ref="a4130fa447b6a4e4dc0b7ca02e8383961" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedWLSPhotonInPhotonDetectorCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of optical photons from a wavelength-shifting process that have been absorbed in a photon detector </dd></dl>

</div>
</div>
<a class="anchor" id="aa82786ec70519c319293c9f568b94deb"></a><!-- doxytag: member="UserEventInformation::GetAbsorbedWLSPhotonInScintiCount" ref="aa82786ec70519c319293c9f568b94deb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetAbsorbedWLSPhotonInScintiCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of optical photons from a wavelength-shifting process that have been absorbed in a scintillator tile </dd></dl>

</div>
</div>
<a class="anchor" id="a31faf6faab33ef6d396c4fb6073d6e03"></a><!-- doxytag: member="UserEventInformation::GetCerenkovPhotonByPrimaryCount" ref="a31faf6faab33ef6d396c4fb6073d6e03" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetCerenkovPhotonByPrimaryCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of Cerenkov photons that where created by a primary particle </dd></dl>

</div>
</div>
<a class="anchor" id="a47cc88fc50b886fe1242f774ec689f85"></a><!-- doxytag: member="UserEventInformation::GetCerenkovPhotonBySecondaryCount" ref="a47cc88fc50b886fe1242f774ec689f85" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetCerenkovPhotonBySecondaryCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of Cerenkov photons that where created by a secondary particle </dd></dl>

</div>
</div>
<a class="anchor" id="a0e0cf24b3ffadbdadab50599f5ba947e"></a><!-- doxytag: member="UserEventInformation::GetCerenkovPhotonCount" ref="a0e0cf24b3ffadbdadab50599f5ba947e" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetCerenkovPhotonCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of Cerenkov photons </dd></dl>

</div>
</div>
<a class="anchor" id="a1b1759cac18827ee1c1604972d60fbe1"></a><!-- doxytag: member="UserEventInformation::GetGlobalAbsorptionTime" ref="a1b1759cac18827ee1c1604972d60fbe1" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double UserEventInformation::GetGlobalAbsorptionTime </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> absorption time of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> NAN </dd></dl>

</div>
</div>
<a class="anchor" id="a1a52277bc686603022aa39ac43c43b01"></a><!-- doxytag: member="UserEventInformation::GetGlobalCreationTime" ref="a1a52277bc686603022aa39ac43c43b01" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double UserEventInformation::GetGlobalCreationTime </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> creation time of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> NAN </dd></dl>

</div>
</div>
<a class="anchor" id="a25eebff1a1cef6aae30b4e9ad4bb3840"></a><!-- doxytag: member="UserEventInformation::GetInitialMomentum" ref="a25eebff1a1cef6aae30b4e9ad4bb3840" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector UserEventInformation::GetInitialMomentum </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> initial momentum of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> G4ThreeVector(NAN, NAN, NAN) </dd></dl>

</div>
</div>
<a class="anchor" id="a7349cd2fb86c91819e56afee2c62ffc7"></a><!-- doxytag: member="UserEventInformation::GetInitialPosition" ref="a7349cd2fb86c91819e56afee2c62ffc7" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector UserEventInformation::GetInitialPosition </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> initial position of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> G4ThreeVector(NAN, NAN, NAN) </dd></dl>

</div>
</div>
<a class="anchor" id="a3ef8ab3c62cd97be0dee7c91bca7f188"></a><!-- doxytag: member="UserEventInformation::GetNumberOfParticles" ref="a3ef8ab3c62cd97be0dee7c91bca7f188" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetNumberOfParticles </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of particles that have been saved </dd></dl>

</div>
</div>
<a class="anchor" id="aa2f3e562d1f297e91d7f2b2d3fa55240"></a><!-- doxytag: member="UserEventInformation::GetNumberOfPrimaryParticles" ref="aa2f3e562d1f297e91d7f2b2d3fa55240" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetNumberOfPrimaryParticles </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of primary particles </dd></dl>

</div>
</div>
<a class="anchor" id="a31fe63f2334f0ce2cf8723bd94129a13"></a><!-- doxytag: member="UserEventInformation::GetParentID" ref="a31fe63f2334f0ce2cf8723bd94129a13" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetParentID </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> parent particle's particle ID of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> 999999999 </dd></dl>

</div>
</div>
<a class="anchor" id="a015039e59ea646a049dbabe7b23fffa3"></a><!-- doxytag: member="UserEventInformation::GetParentIsPrimary" ref="a015039e59ea646a049dbabe7b23fffa3" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool UserEventInformation::GetParentIsPrimary </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, if the parent particle of the particle with the corresponding track ID is a primary particle (if the parent particle is an optical photon, the request will be repeated with its track ID) </dd></dl>

</div>
</div>
<a class="anchor" id="aa1fc8e1e890948e7ffab0510a9bdc836"></a><!-- doxytag: member="UserEventInformation::GetParentName" ref="aa1fc8e1e890948e7ffab0510a9bdc836" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String UserEventInformation::GetParentName </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> parent particle's name of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> "---" </dd></dl>

</div>
</div>
<a class="anchor" id="ae2c09484f8bbb2ca780c40624618d3bf"></a><!-- doxytag: member="UserEventInformation::GetParentTrackID" ref="ae2c09484f8bbb2ca780c40624618d3bf" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetParentTrackID </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> parent particle's track ID of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> -1 </dd></dl>

</div>
</div>
<a class="anchor" id="a4f94d194f0c53a73334ade050cdf040e"></a><!-- doxytag: member="UserEventInformation::GetParticleID" ref="a4f94d194f0c53a73334ade050cdf040e" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetParticleID </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> particle ID of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> 999999999 (one cannot use "0", as this is used for Geant4 specific particles (optical photon, geantino,...)) </dd></dl>

</div>
</div>
<a class="anchor" id="ad5a0d5c601a677bfb6a3d4bb7394e8ba"></a><!-- doxytag: member="UserEventInformation::GetParticleIsPrimary" ref="ad5a0d5c601a677bfb6a3d4bb7394e8ba" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool UserEventInformation::GetParticleIsPrimary </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> G4bool, if the particle with the corresponding track ID is a primary particle </dd>
<dd>
<b> else: </b> true </dd></dl>

</div>
</div>
<a class="anchor" id="ae852566e0e88a3ddacb541bfa0ff6d38"></a><!-- doxytag: member="UserEventInformation::GetParticleName" ref="ae852566e0e88a3ddacb541bfa0ff6d38" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String UserEventInformation::GetParticleName </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> name of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> "---" </dd></dl>

</div>
</div>
<a class="anchor" id="a3015ee73f243674624c2c8c68d514bd5"></a><!-- doxytag: member="UserEventInformation::GetProductionMechanism" ref="a3015ee73f243674624c2c8c68d514bd5" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String UserEventInformation::GetProductionMechanism </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> production mechanism of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> "---" </dd></dl>

</div>
</div>
<a class="anchor" id="af0b7030715af42295c3eacc150dc490f"></a><!-- doxytag: member="UserEventInformation::GetScintiPhotonByPrimaryCount" ref="af0b7030715af42295c3eacc150dc490f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetScintiPhotonByPrimaryCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of scintillation photons that where created by a primary particle </dd></dl>

</div>
</div>
<a class="anchor" id="a90875defefed19fb529ec356bec71ead"></a><!-- doxytag: member="UserEventInformation::GetScintiPhotonBySecondaryCount" ref="a90875defefed19fb529ec356bec71ead" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetScintiPhotonBySecondaryCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of scintillation photons that where created by a secondary particle </dd></dl>

</div>
</div>
<a class="anchor" id="a50f6b402447ecbee6361328642e4b4e6"></a><!-- doxytag: member="UserEventInformation::GetScintiPhotonCount" ref="a50f6b402447ecbee6361328642e4b4e6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetScintiPhotonCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of scintillation photons </dd></dl>

</div>
</div>
<a class="anchor" id="ac9a89e2f09e811d86ef41c0c58f39bfa"></a><!-- doxytag: member="UserEventInformation::GetWLSPhotonCount" ref="ac9a89e2f09e811d86ef41c0c58f39bfa" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserEventInformation::GetWLSPhotonCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>number of optical photons from a wavelength-shifting process. </dd></dl>

</div>
</div>
<a class="anchor" id="ab3d356ce3cd54271d99e96b09edee633"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedCerenkovPhotonInFibreCount" ref="ab3d356ce3cd54271d99e96b09edee633" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedCerenkovPhotonInFibreCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of Cerenkov photons that have been absorbed in a fibre. </p>

</div>
</div>
<a class="anchor" id="a67eacedd22d7955883eeac52afd40360"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedCerenkovPhotonInPhotonDetectorCount" ref="a67eacedd22d7955883eeac52afd40360" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedCerenkovPhotonInPhotonDetectorCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of Cerenkov photons that have been absorbed in a photon detector. </p>

</div>
</div>
<a class="anchor" id="a3241d35a2b335e671361bed26dd0f66c"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedCerenkovPhotonInScintiCount" ref="a3241d35a2b335e671361bed26dd0f66c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedCerenkovPhotonInScintiCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of Cerenkov photons that have been absorbed in a scintillator tile. </p>

</div>
</div>
<a class="anchor" id="a94be79e5edadbe640210cffa2c27db70"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedInFibreCount" ref="a94be79e5edadbe640210cffa2c27db70" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedInFibreCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of optical photons that have been absorbed in a fibre. </p>

</div>
</div>
<a class="anchor" id="a734515bc2db45c8a046e697060ec0ad7"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedInPhotonDetectorCount" ref="a734515bc2db45c8a046e697060ec0ad7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedInPhotonDetectorCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of optical photons that have been absorbed in a photon detector. </p>

</div>
</div>
<a class="anchor" id="ad81f567795d949c26ef5c059f75b9f86"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedInScintiCount" ref="ad81f567795d949c26ef5c059f75b9f86" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedInScintiCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of optical photons that have been absorbed in a scintillator tile. </p>

</div>
</div>
<a class="anchor" id="a536900017b87f9dcb3eb630b976dbfdc"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedScintiPhotonInFibreCount" ref="a536900017b87f9dcb3eb630b976dbfdc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedScintiPhotonInFibreCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of scintillation photons that have been absorbed in a fibre. </p>

</div>
</div>
<a class="anchor" id="a62fe9f80ff21eba0ba7a3379014b96a4"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedScintiPhotonInPhotonDetectorCount" ref="a62fe9f80ff21eba0ba7a3379014b96a4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedScintiPhotonInPhotonDetectorCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of scintillation photons that have been absorbed in a photon detector. </p>

</div>
</div>
<a class="anchor" id="a08052e4c9c4fa9daf7952ca7ccb0f77e"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedScintiPhotonInScintiCount" ref="a08052e4c9c4fa9daf7952ca7ccb0f77e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedScintiPhotonInScintiCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of scintillation photons that have been absorbed in a scintillator tile. </p>

</div>
</div>
<a class="anchor" id="aefab76a00aff62f0cf1f6012ca63c4f3"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedWLSPhotonInFibreCount" ref="aefab76a00aff62f0cf1f6012ca63c4f3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedWLSPhotonInFibreCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of optical photons from a wavelength-shifting process that have been absorbed in a fibre. </p>

</div>
</div>
<a class="anchor" id="af7e270cf273b5d04a1729f7f26f534a9"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedWLSPhotonInPhotonDetectorCount" ref="af7e270cf273b5d04a1729f7f26f534a9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedWLSPhotonInPhotonDetectorCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of optical photons from a wavelength-shifting process that have been absorbed in a photon detector. </p>

</div>
</div>
<a class="anchor" id="a780e036604b3c55ae47e91fa64fe4156"></a><!-- doxytag: member="UserEventInformation::IncAbsorbedWLSPhotonInScintiCount" ref="a780e036604b3c55ae47e91fa64fe4156" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncAbsorbedWLSPhotonInScintiCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of optical photons from a wavelength-shifting process that have been absorbed in a scintillator tile. </p>

</div>
</div>
<a class="anchor" id="a22cdb26f4eea8c05eba23dd2f0d0c18a"></a><!-- doxytag: member="UserEventInformation::IncCerenkovPhotonByPrimaryCount" ref="a22cdb26f4eea8c05eba23dd2f0d0c18a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncCerenkovPhotonByPrimaryCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of Cerenkov photons that where created by a primary particle. </p>

</div>
</div>
<a class="anchor" id="a03d86f9dd73e4fc64b0389ef7c0fa98d"></a><!-- doxytag: member="UserEventInformation::IncCerenkovPhotonBySecondaryCount" ref="a03d86f9dd73e4fc64b0389ef7c0fa98d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncCerenkovPhotonBySecondaryCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of Cerenkov photons that where created by a secondary particle. </p>

</div>
</div>
<a class="anchor" id="a7520492b4de8a66f0bbcfd61515249ce"></a><!-- doxytag: member="UserEventInformation::IncCerenkovPhotonCount" ref="a7520492b4de8a66f0bbcfd61515249ce" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncCerenkovPhotonCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of Cerenkov photons. </p>

</div>
</div>
<a class="anchor" id="a47689499d2f67a7340631b8d96ba8c95"></a><!-- doxytag: member="UserEventInformation::IncScintiPhotonByPrimaryCount" ref="a47689499d2f67a7340631b8d96ba8c95" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncScintiPhotonByPrimaryCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of scintillation photons that where created by a primary particle. </p>

</div>
</div>
<a class="anchor" id="a5e9370e3754a5d1ec18642a374414954"></a><!-- doxytag: member="UserEventInformation::IncScintiPhotonBySecondaryCount" ref="a5e9370e3754a5d1ec18642a374414954" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncScintiPhotonBySecondaryCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of scintillation photons that where created by a secondary particle. </p>

</div>
</div>
<a class="anchor" id="a03d4d9f48379700fdd909e756e82fbe4"></a><!-- doxytag: member="UserEventInformation::IncScintiPhotonCount" ref="a03d4d9f48379700fdd909e756e82fbe4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncScintiPhotonCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of scintillation photons. </p>

</div>
</div>
<a class="anchor" id="a7dea4191f5c8616a9fd144034df573f7"></a><!-- doxytag: member="UserEventInformation::IncWLSPhotonCount" ref="a7dea4191f5c8616a9fd144034df573f7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::IncWLSPhotonCount </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to increment the number of optical photons from a wavelength-shifting process. </p>

</div>
</div>
<a class="anchor" id="aa44cf9fa6e5f1906f6aed28929c8b7ce"></a><!-- doxytag: member="UserEventInformation::SetAbsorbedIn" ref="aa44cf9fa6e5f1906f6aed28929c8b7ce" args="(G4int trackID, G4String absorbedIn)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetAbsorbedIn </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>absorbedIn</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the name of the volume, the particle with the corresponding track ID was absorbed in. </p>

</div>
</div>
<a class="anchor" id="afeca0d2cfba581f5985a63c851eb58ca"></a><!-- doxytag: member="UserEventInformation::SetGlobalAbsorptionTime" ref="afeca0d2cfba581f5985a63c851eb58ca" args="(G4int trackID, G4double absorptionTime)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetGlobalAbsorptionTime </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>absorptionTime</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save absorption time of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="a3c59299fbe1221ab3f282d4e59890b2a"></a><!-- doxytag: member="UserEventInformation::SetGlobalCreationTime" ref="a3c59299fbe1221ab3f282d4e59890b2a" args="(G4int trackID, G4double creationTime)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetGlobalCreationTime </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>creationTime</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save creation time of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="a020b620c50cb31b63fa6c55b1621f3da"></a><!-- doxytag: member="UserEventInformation::SetInitialMomentum" ref="a020b620c50cb31b63fa6c55b1621f3da" args="(G4int trackID, G4ThreeVector initMomentum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetInitialMomentum </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>initMomentum</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save initial momentum of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="a9d727595e9241c516a5214e2f3488dbd"></a><!-- doxytag: member="UserEventInformation::SetInitialPosition" ref="a9d727595e9241c516a5214e2f3488dbd" args="(G4int trackID, G4ThreeVector initPos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetInitialPosition </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>initPos</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save initial position of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="a11591decbf749b4e4a149ec7582ac0b2"></a><!-- doxytag: member="UserEventInformation::SetNumberOfPrimaryParticles" ref="a11591decbf749b4e4a149ec7582ac0b2" args="(G4int npp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetNumberOfPrimaryParticles </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>npp</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the number of primary particles. </p>

</div>
</div>
<a class="anchor" id="a7ce2a1b3bd68f969e2b00f997cb6853c"></a><!-- doxytag: member="UserEventInformation::SetParent" ref="a7ce2a1b3bd68f969e2b00f997cb6853c" args="(G4int trackID, G4int parentTrackID)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetParent </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>parentTrackID</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the parent particle of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="a675360fb14a71368b83c3380f2b17880"></a><!-- doxytag: member="UserEventInformation::SetParticleID" ref="a675360fb14a71368b83c3380f2b17880" args="(G4int trackID, G4int partID)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetParticleID </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>partID</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save particle ID of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="a8525c5843047a0f34772c05f78ccb203"></a><!-- doxytag: member="UserEventInformation::SetParticleIsPrimary" ref="a8525c5843047a0f34772c05f78ccb203" args="(G4int trackID, G4bool partIsPrimary)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetParticleIsPrimary </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>partIsPrimary</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save whether the particle with the corresponding track ID is a primary particle. </p>

</div>
</div>
<a class="anchor" id="aa6962c1c0b5de06498a9d15a6165755d"></a><!-- doxytag: member="UserEventInformation::SetParticleName" ref="aa6962c1c0b5de06498a9d15a6165755d" args="(G4int trackID, G4String partName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetParticleName </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>partName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save name of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="a673ab5bc67b4919a4a4799e772b9b9a2"></a><!-- doxytag: member="UserEventInformation::SetProductionMechanism" ref="a673ab5bc67b4919a4a4799e772b9b9a2" args="(G4int trackID, G4String prodMech)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserEventInformation::SetProductionMechanism </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>prodMech</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save production mechanism of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="afe242f33194b17fed3c8bb68cc285478"></a><!-- doxytag: member="UserEventInformation::TrackIDExistsInVector" ref="afe242f33194b17fed3c8bb68cc285478" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool UserEventInformation::TrackIDExistsInVector </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this track ID: </b> true </dd>
<dd>
<b> else: </b> false </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
